Bug 210784 (pear-XML-Util) - Review Request: php-pear-XML-Util - XML utility class
Summary: Review Request: php-pear-XML-Util - XML utility class
Status: CLOSED NEXTRELEASE
Alias: pear-XML-Util
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT pear-XML-Serializer
TreeView+ depends on / blocked
 
Reported: 2006-10-14 23:55 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 03:13:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2006-10-14 23:55:11 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Util.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-XML-Util-1.1.1-1.src.rpm

Description:

XML_Util is a utility class that helps you working with (and especially
creating) XML documents.

All methods of XML_Util can be called statically, that means you do not have
to instantiate an XML_Util object to use the provided methods.

The funcionality of XML_Util ranges from validating an XML tag name (as there
are strict rules for tag and attribute names) to the creation of namespaced
XML tags.

Comment 1 Jason Tibbitts 2006-10-15 23:58:11 UTC
Well, all of four files here.

* source files match upstream:
   528278996240d47a07e4273fb7bde841  XML_Util-1.1.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(XML_Util) = 1.1.1
   php-pear-XML-Util = 1.1.1-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 2 Christopher Stone 2006-10-17 03:13:39 UTC
Imported and built.  Thanks for the review.

Comment 3 Christopher Stone 2007-04-21 17:46:38 UTC
Branch Package CVS Request
=======================
Package Name: php-pear-XML-Util
Short Description: XML utility class
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.